Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowReadXMLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.ReadXMLException
oracle.jbo.RowReadXMLException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class RowReadXMLException
extends ReadXMLException

Thrown when reading an xml document fails for a RowSet or a Row. This exception could contain an array of exceptions thrown while reading a RowSet, one exception per Row.

Since:
  JDeveloper 3.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`RowReadXMLException(Key key, java.lang.String tagString, com.sun.java.util.collections.ArrayList exc)` Constructs a new instance.
`RowReadXMLException(Key key, java.lang.String tagString, java.util.Vector exc)` Constructs a new instance.

Method Summary
`Key` | `getRowKey()`
`void` | `setRowKey(Key k)` Internal method to set key for proper reporting of row xml errors.

Methods inherited from class oracle.jbo.ReadXMLException
`getXMLTag`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowReadXMLException

    public RowReadXMLException(Key key,
                               java.lang.String tagString,
                               java.util.Vector exc)

  Constructs a new instance.
Parameters:
  `key` - key that failed to update during xml read operation.
  `tagString` - The tag for the xml-node for which the read operation failed.
  `exc` - A bag of exceptions collected. The xml-read operation attempts to read each row's xml and on exception, adds that to this bag

### RowReadXMLException

    public RowReadXMLException(Key key,
                               java.lang.String tagString,
                               com.sun.java.util.collections.ArrayList exc)

  Constructs a new instance.
Parameters:
  `key` - key that failed to update during xml read operation.
  `tagString` - The tag for the xml-node for which the read operation failed.
  `exc` - A bag of exceptions collected. The xml-read operation attempts to read each row's xml and on exception, adds that to this bag

Method Detail

### getRowKey

    public Key getRowKey()

### setRowKey

    public void setRowKey(Key k)

  Internal method to set key for proper reporting of row xml errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.